Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.jbosscommon51
Class LoaderRepositoryTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.jbosscommon51.LoaderRepositoryTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, LoaderRepositoryType<T>

    public class LoaderRepositoryTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, LoaderRepositoryType<T>

This class implements the `loader-repositoryType` xsd type

Original Documentation:

The loader-repository specifies the name of the UnifiedLoaderRepository
MBean to use for the ear to provide ear level scoping of classes deployed
in the ear. It is a unique JMX ObjectName string. It may also specify
an arbitrary configuration by including a loader-repository-config element.
Examples:
jboss.test:loader=cts-cmp2v1-sar.ear
dot.com:loader=unique-archive-name
java2ParentDelegaton=true

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`LoaderRepositoryTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`LoaderRepositoryTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.lang.String` | `getLoaderRepositoryClass()` Returns the `loaderRepositoryClass` element
`java.util.List<LoaderRepositoryConfigType<LoaderRepositoryType<T>>>` | `getLoaderRepositoryConfigList()` Returns all `loader-repository-config` elements
`LoaderRepositoryConfigType<LoaderRepositoryType<T>>` | `loaderRepositoryConfig()` Returns the `loader-repository-config` element
`LoaderRepositoryType<T>` | `removeAllLoaderRepositoryConfig()` Removes all `loader-repository-config` elements
`LoaderRepositoryType<T>` | `removeLoaderRepositoryClass()` Removes the `loaderRepositoryClass` attribute
`LoaderRepositoryType<T>` | `setLoaderRepositoryClass(java.lang.String loaderRepositoryClass)` Sets the `loaderRepositoryClass` attribute
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoaderRepositoryTypeImpl

    public LoaderRepositoryTypeImpl(T t,
                                    java.lang.String nodeName,
                                    org.jboss.shrinkwrap.descriptor.spi.Node node)

### LoaderRepositoryTypeImpl

    public LoaderRepositoryTypeImpl(T t,
                                    java.lang.String nodeName,
                                    org.jboss.shrinkwrap.descriptor.spi.Node node,
                                    org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### removeAllLoaderRepositoryConfig

    public LoaderRepositoryType<T> removeAllLoaderRepositoryConfig()

  Removes all `loader-repository-config` elements

  Specified by:
    `removeAllLoaderRepositoryConfig` in interface `LoaderRepositoryType<T>`
  Returns:
    the current instance of `LoaderRepositoryType`

### loaderRepositoryConfig

    public LoaderRepositoryConfigType<LoaderRepositoryType<T>> loaderRepositoryConfig()

  Returns the `loader-repository-config` element

  Specified by:
    `loaderRepositoryConfig` in interface `LoaderRepositoryType<T>`
  Returns:
    the node defined for the element `loader-repository-config`

### getLoaderRepositoryConfigList

    public java.util.List<LoaderRepositoryConfigType<LoaderRepositoryType<T>>> getLoaderRepositoryConfigList()

  Returns all `loader-repository-config` elements

  Specified by:
    `getLoaderRepositoryConfigList` in interface `LoaderRepositoryType<T>`
  Returns:
    list of `loader-repository-config`

### setLoaderRepositoryClass

    public LoaderRepositoryType<T> setLoaderRepositoryClass(java.lang.String loaderRepositoryClass)

  Sets the `loaderRepositoryClass` attribute

  Specified by:
    `setLoaderRepositoryClass` in interface `LoaderRepositoryType<T>`
  Parameters:
    `loaderRepositoryClass` - the value for the attribute `loaderRepositoryClass`
  Returns:
    the current instance of `LoaderRepositoryType`

### removeLoaderRepositoryClass

    public LoaderRepositoryType<T> removeLoaderRepositoryClass()

  Removes the `loaderRepositoryClass` attribute

  Specified by:
    `removeLoaderRepositoryClass` in interface `LoaderRepositoryType<T>`
  Returns:
    the current instance of `LoaderRepositoryType`

### getLoaderRepositoryClass

    public java.lang.String getLoaderRepositoryClass()

  Returns the `loaderRepositoryClass` element

  Specified by:
    `getLoaderRepositoryClass` in interface `LoaderRepositoryType<T>`
  Returns:
    the node defined for the element `loaderRepositoryClass`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD